Patchwork [4/4] libav (9.13): remove DEFAULT_PREFERENCE

login
register
mail settings
Submitter Matthieu CRAPET
Date May 21, 2014, 11:37 a.m.
Message ID <1400672277-7181-4-git-send-email-Matthieu.Crapet@ingenico.com>
Download mbox | patch
Permalink /patch/72495/
State New
Headers show

Comments

Matthieu CRAPET - May 21, 2014, 11:37 a.m.
Use PREFERRED_VERSION_libav in your distro definition instead.

Signed-off-by: Matthieu Crapet <Matthieu.Crapet@ingenico.com>
---
 meta/recipes-multimedia/libav/libav_9.13.bb | 2 --
 1 file changed, 2 deletions(-)
Paul Eggleton - May 21, 2014, 11:57 a.m.
On Wednesday 21 May 2014 13:37:57 Matthieu Crapet wrote:
> Use PREFERRED_VERSION_libav in your distro definition instead.

Why? PREFERRED_VERSION_libav will override this in any case...

Cheers,
Paul
Khem Raj - May 24, 2014, 2:36 a.m.
On Wed, May 21, 2014 at 4:57 AM, Paul Eggleton
<paul.eggleton@linux.intel.com> wrote:
>> Use PREFERRED_VERSION_libav in your distro definition instead.
>
> Why? PREFERRED_VERSION_libav will override this in any case...

I would rather ask why not ? we are pinning to older version is there
a reason for that ?
Martin Jansa - May 24, 2014, 8:42 a.m.
On Fri, May 23, 2014 at 07:36:42PM -0700, Khem Raj wrote:
> On Wed, May 21, 2014 at 4:57 AM, Paul Eggleton
> <paul.eggleton@linux.intel.com> wrote:
> >> Use PREFERRED_VERSION_libav in your distro definition instead.
> >
> > Why? PREFERRED_VERSION_libav will override this in any case...
> 
> I would rather ask why not ? we are pinning to older version is there
> a reason for that ?

Current openal-soft, gst-ffmpeg and xbmc fail with libav-9, mplayer2
fails with old libav-8, we need someone to work on making them
compatible with the same version of libav (preferably newer one - 9 or
10) and then we should switch.
Tim Orling - May 26, 2014, 5:29 a.m.
On Sat, May 24, 2014 at 1:42 AM, Martin Jansa <martin.jansa@gmail.com>wrote:

> On Fri, May 23, 2014 at 07:36:42PM -0700, Khem Raj wrote:
> > On Wed, May 21, 2014 at 4:57 AM, Paul Eggleton
> > <paul.eggleton@linux.intel.com> wrote:
> > >> Use PREFERRED_VERSION_libav in your distro definition instead.
> > >
> > > Why? PREFERRED_VERSION_libav will override this in any case...
> >
> > I would rather ask why not ? we are pinning to older version is there
> > a reason for that ?
>
> Current openal-soft, gst-ffmpeg and xbmc fail with libav-9, mplayer2
> fails with old libav-8, we need someone to work on making them
> compatible with the same version of libav (preferably newer one - 9 or
> 10) and then we should switch.
>
> The problem--at least for gst-ffmpeg and xbmc--is that libav-9 drops
libpostproc.
http://git.libav.org/?p=libav.git;a=commit;h=b315042c8ce984bec431c5965120853a843cbfa5

I'll see if I can get http://git.videolan.org/?p=libpostproc.git to play
nice.

Otherwise we could build the internal versions of ffmpeg in gst-ffmpeg and
xbmc, but that seems dumb and wasteful.

--Tim
Paul Eggleton - May 27, 2014, 12:28 p.m.
Hi Tim,

On Sunday 25 May 2014 22:29:14 Tim Orling wrote:
> On Sat, May 24, 2014 at 1:42 AM, Martin Jansa <martin.jansa@gmail.com>wrote:
> > On Fri, May 23, 2014 at 07:36:42PM -0700, Khem Raj wrote:
> > > On Wed, May 21, 2014 at 4:57 AM, Paul Eggleton
> > > 
> > > <paul.eggleton@linux.intel.com> wrote:
> > > >> Use PREFERRED_VERSION_libav in your distro definition instead.
> > > > 
> > > > Why? PREFERRED_VERSION_libav will override this in any case...
> > > 
> > > I would rather ask why not ? we are pinning to older version is there
> > > a reason for that ?
> > 
> > Current openal-soft, gst-ffmpeg and xbmc fail with libav-9, mplayer2
> > fails with old libav-8, we need someone to work on making them
> > compatible with the same version of libav (preferably newer one - 9 or
> > 10) and then we should switch.
> > 
> > The problem--at least for gst-ffmpeg and xbmc--is that libav-9 drops
> 
> libpostproc.
> http://git.libav.org/?p=libav.git;a=commit;h=b315042c8ce984bec431c5965120853
> a843cbfa5
> 
> I'll see if I can get http://git.videolan.org/?p=libpostproc.git to play
> nice.

Maybe you already saw it, but we do have a libpostproc recipe in meta-oe...

Cheers,
Paul
Tim Orling - May 27, 2014, 2 p.m.
On Tue, May 27, 2014 at 5:28 AM, Paul Eggleton <
paul.eggleton@linux.intel.com> wrote:

> Hi Tim,
>
> On Sunday 25 May 2014 22:29:14 Tim Orling wrote:
> > On Sat, May 24, 2014 at 1:42 AM, Martin Jansa <martin.jansa@gmail.com
> >wrote:
> > > On Fri, May 23, 2014 at 07:36:42PM -0700, Khem Raj wrote:
> > > > On Wed, May 21, 2014 at 4:57 AM, Paul Eggleton
> > > >
> > > > <paul.eggleton@linux.intel.com> wrote:
> > > > >> Use PREFERRED_VERSION_libav in your distro definition instead.
> > > > >
> > > > > Why? PREFERRED_VERSION_libav will override this in any case...
> > > >
> > > > I would rather ask why not ? we are pinning to older version is there
> > > > a reason for that ?
> > >
> > > Current openal-soft, gst-ffmpeg and xbmc fail with libav-9, mplayer2
> > > fails with old libav-8, we need someone to work on making them
> > > compatible with the same version of libav (preferably newer one - 9 or
> > > 10) and then we should switch.
> > >
> > > The problem--at least for gst-ffmpeg and xbmc--is that libav-9 drops
> >
> > libpostproc.
> >
> http://git.libav.org/?p=libav.git;a=commit;h=b315042c8ce984bec431c5965120853
> > a843cbfa5
> >
> > I'll see if I can get http://git.videolan.org/?p=libpostproc.git to play
> > nice.
>
> Maybe you already saw it, but we do have a libpostproc recipe in meta-oe...
>
> :) I found that recipe shortly after I sent the above email. I am working
with that recipe now to see if I can get several multimedia packages to
build with libav-9+. IMHO, gst-ffmpeg-0.10 needs to go away and this will
help.

--Tim

Patch

diff --git a/meta/recipes-multimedia/libav/libav_9.13.bb b/meta/recipes-multimedia/libav/libav_9.13.bb
index 7bfbc48..bbefde0 100644
--- a/meta/recipes-multimedia/libav/libav_9.13.bb
+++ b/meta/recipes-multimedia/libav/libav_9.13.bb
@@ -9,5 +9,3 @@  SRC_URI = "http://libav.org/releases/${BP}.tar.xz"
 
 SRC_URI[md5sum] = "23b9e34bffdaee366710fdf20157a570"
 SRC_URI[sha256sum] = "2ff05df6cd2259b3bb277eb16c234214f8e0530700d0c774d033eba23edde6ca"
-
-DEFAULT_PREFERENCE = "-1"